summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/perl-module.eclass4
2 files changed, 6 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index dc59372d3071..e6fd5a2d6ad8 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1448 2014/11/29 23:03:42 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1449 2014/12/01 20:41:08 dilfridge Exp $
+
+ 01 Dec 2014; Andreas K. Huettel <dilfridge@gentoo.org> perl-module.eclass:
+ Replace exlicitly listing all GPL variants with GPL-1+
29 Nov 2014; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
Remove leftover code for Python 3.2.
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index de956b6a1443..12024ca60198 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.157 2014/11/22 18:24:17 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.158 2014/12/01 20:41:08 dilfridge Exp $
# @ECLASS: perl-module.eclass
# @MAINTAINER:
@@ -75,7 +75,7 @@ case "${PERL_EXPORT_PHASE_FUNCTIONS:-yes}" in
;;
esac
-LICENSE="${LICENSE:-|| ( Artistic GPL-1 GPL-2 GPL-3 )}"
+LICENSE="${LICENSE:-|| ( Artistic GPL-1+ )}"
if [[ -n ${MY_PN} || -n ${MY_PV} || -n ${MODULE_VERSION} ]] ; then
: ${MY_P:=${MY_PN:-${PN}}-${MY_PV:-${MODULE_VERSION:-${PV}}}}